org.hibernate.search.query.hibernate.impl

## Class ObjectInitializationContext

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.ObjectInitializationContext

-     public class ObjectInitializationContext
      extends Object

  Context class wrapping all resources needed in the context of object initialization.
  See Also:
    `ObjectInitializer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectInitializationContext(Criteria criteria, Class<?> targetedEntityType, ExtendedSearchIntegrator extendedIntegrator, TimeoutManager timeoutManager, SessionImplementor session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()`
    `Class<?>` | `getEntityType()`
    `ExtendedSearchIntegrator` | `getExtendedSearchIntegrator()`
    `SessionImplementor` | `getSession()`
    `TimeoutManager` | `getTimeoutManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectInitializationContext

          public ObjectInitializationContext(Criteria criteria,
                                             Class<?> targetedEntityType,
                                             ExtendedSearchIntegrator extendedIntegrator,
                                             TimeoutManager timeoutManager,
                                             SessionImplementor session)

      Parameters:
        `criteria` - A user specified `Criteria query` or `null`. See also `FullTextQuery.setCriteriaQuery(org.hibernate.Criteria)`.
        `targetedEntityType` - The entity type targeted explicitly by the user
        `extendedIntegrator` - Handle to the search factory
        `timeoutManager` - Handle to the timeout manager
        `session` - Handle to the ORM session

  - ### Method Detail

    - #### getCriteria

          public Criteria getCriteria()

    - #### getEntityType

          public Class<?> getEntityType()

    - #### getExtendedSearchIntegrator

          public ExtendedSearchIntegrator getExtendedSearchIntegrator()

    - #### getTimeoutManager

          public TimeoutManager getTimeoutManager()

    - #### getSession

          public SessionImplementor getSession()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved